Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041288
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-07-04 18:212019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision1b6d525eaf93
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041288: Apply new HQL Style to OBContext & EntityAccessChecker

DescriptionBoth files have several HQL with:
- non-constant parts:
  i.e. organization.calss.getName()
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default

OBContext.java: 10 cases
EntityAccessChecker: 3 cases
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0113752)
hgbot (developer)
2019-08-01 11:31

Repository: erp/devel/pi
Changeset: 1b6d525eaf93f81e84defed8b82726205c133d6d
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Jul 30 16:15:20 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1b6d525eaf93f81e84defed8b82726205c133d6d [^]

fixes issue 41288: Apply HQL style guide to OBContext & EntityAccessChecker

---
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/dal/security/EntityAccessChecker.java
---
(0113753)
AugustoMauch (developer)
2019-08-01 12:23

Code reviewed and verified
(0114193)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-04 18:21 shuehner New Issue
2019-07-04 18:21 shuehner Assigned To => platform
2019-07-04 18:21 shuehner Modules => Core
2019-07-04 18:21 shuehner Triggers an Emergency Pack => No
2019-07-04 18:21 shuehner Relationship added blocks 0041287
2019-07-04 18:27 shuehner Target Version => 3.0PR19Q4
2019-07-29 11:32 AugustoMauch Assigned To platform => cberner
2019-07-29 12:03 cberner Status new => scheduled
2019-08-01 11:31 hgbot Checkin
2019-08-01 11:31 hgbot Note Added: 0113752
2019-08-01 11:31 hgbot Status scheduled => resolved
2019-08-01 11:31 hgbot Resolution open => fixed
2019-08-01 11:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1b6d525eaf93f81e84defed8b82726205c133d6d [^]
2019-08-01 12:23 AugustoMauch Review Assigned To => AugustoMauch
2019-08-01 12:23 AugustoMauch Note Added: 0113753
2019-08-01 12:23 AugustoMauch Status resolved => closed
2019-08-01 12:23 AugustoMauch Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114193


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker